summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Giorgio Peron2012-12-16 23:42:05 +0100
committer dsomero2012-12-23 15:16:12 +0100
commit18366462c61e0749b1b3d72ba2371c007a47347d (patch)
tree8cd811a637d5b7bb1e9ad80de14b0e4aeff9ad3a /academic
parentfd5f8faa628448a2f4c3669cd3f1863f4b21d90f (diff)
downloadslackbuilds-18366462c61e0749b1b3d72ba2371c007a47347d.tar.gz
academic/ktikz: Added (LaTeX tikz editor)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/ktikz/README3
-rw-r--r--academic/ktikz/doinst.sh13
-rw-r--r--academic/ktikz/ktikz.SlackBuild101
-rw-r--r--academic/ktikz/ktikz.info10
-rw-r--r--academic/ktikz/slack-desc19
5 files changed, 146 insertions, 0 deletions
diff --git a/academic/ktikz/README b/academic/ktikz/README
new file mode 100644
index 0000000000..62f0c412ce
--- /dev/null
+++ b/academic/ktikz/README
@@ -0,0 +1,3 @@
+KTikZ is a program for making pictures using tikz.
+You write the tikz code in the editor and KTikZ
+automatically generates the image in a preview panel.
diff --git a/academic/ktikz/doinst.sh b/academic/ktikz/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/academic/ktikz/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/ktikz/ktikz.SlackBuild b/academic/ktikz/ktikz.SlackBuild
new file mode 100644
index 0000000000..2de3b58800
--- /dev/null
+++ b/academic/ktikz/ktikz.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for ktikz
+
+# Copyright 2012 Giorgio Peron Campodarsego, PD, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=ktikz
+VERSION=${VERSION:-0.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="${SLKCFLAGS:-O2}"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvzf $CWD/$PRGNAM\_$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` \
+ -DCMAKE_BUILD_TYPE=Release
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changelog HACKING INSTALL LICENSE.GPL2 README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ktikz/ktikz.info b/academic/ktikz/ktikz.info
new file mode 100644
index 0000000000..888176171c
--- /dev/null
+++ b/academic/ktikz/ktikz.info
@@ -0,0 +1,10 @@
+PRGNAM="ktikz"
+VERSION="0.10"
+HOMEPAGE="http://www.hackenberger.at/blog/ktikz-editor-for-the-tikz-language/"
+DOWNLOAD="http://www.hackenberger.at/ktikz/ktikz_0.10.tar.gz"
+MD5SUM="e8f0826cba2447250bcdcd389a71a2ac"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Giorgio Peron"
+EMAIL="giorgio.peron@gmail.com"
diff --git a/academic/ktikz/slack-desc b/academic/ktikz/slack-desc
new file mode 100644
index 0000000000..fa2d4f5da4
--- /dev/null
+++ b/academic/ktikz/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ktikz: KTikZ (LaTeX tikz editor)
+ktikz:
+ktikz: KTikZ is a program for making pictures using tikz.
+ktikz: You write the tikz code in the editor and KTikZ automatically
+ktikz: generates the image in a preview panel.
+ktikz:
+ktikz:
+ktikz:
+ktikz: http://www.hackenberger.at/blog/ktikz-editor-for-the-tikz-language
+ktikz:
+ktikz: